Skip to main content

Add Repository Member

POST https://api.repoflow.io/1/workspaces/<workspace-ref>/repositories/<repository-ref>/members

Add a user's permissions in a repository. Use this to grant a single repository permission level for a specific repo. If you omit the level, it is treated as none (no repo permissions).

Allowed Roles: Can manage, Can Deploy • Authentication Required

Path Parameters

workspace-refstringRequired

Workspace ID or name.

repository-refstringRequired

Repository ID or name.

Body

userIdstringRequired

User ID to grant access to.

repositoryPermissionLevel"canRead" | "canDeploy" | "canDeleteOverride" | "none"Optional

Repository permission level to grant. If omitted, defaults to none (no repository-level permissions).

Add Repository Member to Multiple Repositories

POST https://api.repoflow.io/1/workspaces/<workspace-ref>/repositories/members/batch

Add a single user to multiple repositories in the same workspace.

Notes:

  • The user must already be a member of the workspace
  • Workspace admins cannot be added as repository members
  • This endpoint is limited to 100 repositories per request
  • Repository names are immutable and cannot be updated, so using names as references is stable
  • repositories[].repositoryReference must not contain duplicates, and must not resolve to duplicates

Allowed Roles: Workspace Admin or System Admin • Authentication Required

Path Parameters

workspace-refstringRequired

Workspace ID or name.

Body

userIdstringRequired

User ID (UUID) to add.

repositoriesArray<{ repositoryReference: string, repositoryPermissionLevel: "canRead" | "canDeploy" | "canDeleteOverride" }>Required

Repositories to add the user to. Each item includes repositoryReference (ID or name) and repositoryPermissionLevel. Must be a non empty array, max length depends on server configuration.